Package org.eclipse.search.ui.text

## Class MatchEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.search.ui.SearchResultEvent
    - - org.eclipse.search.ui.text.MatchEvent

All Implemented Interfaces:
  `Serializable`

    public class MatchEvent
    extends SearchResultEvent

An event object describing addition and removal of matches. Events of this class are sent when `Match`es are added or removed from an `AbstractTextSearchResult`.

Clients may instantiate or subclass this class.

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ADDED` Constant for a matches being added.
`static int` `REMOVED` Constant for a matches being removed.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`MatchEvent​(ISearchResult searchResult)` Constructs a new `MatchEvent`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getKind()` Tells whether this is a remove or an add.
`Match[]` `getMatches()` Returns the concerned matches.
`protected void` `setKind​(int kind)` Sets the kind of event this is.
`protected void` `setMatch​(Match match)` Sets the match for the change this event reports.
`protected void` `setMatches​(Match[] matches)` Sets the matches for the change this event reports.

### Methods inherited from class org.eclipse.search.ui.SearchResultEvent

`getSearchResult`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ADDED

    public static final int ADDED

Constant for a matches being added.

See Also:
  `getKind()`, Constant Field Values

#### REMOVED

    public static final int REMOVED

Constant for a matches being removed.

See Also:
  `getKind()`, Constant Field Values

### Constructor Detail

#### MatchEvent

    public MatchEvent​(ISearchResult searchResult)

Constructs a new `MatchEvent`.

Parameters:
  `searchResult` - the search result concerned

### Method Detail

#### getKind

    public int getKind()

Tells whether this is a remove or an add.

Returns:
  one of `ADDED` or `REMOVED`

#### getMatches

    public Match[] getMatches()

Returns the concerned matches.

Returns:
  the matches this event is about

#### setKind

    protected void setKind​(int kind)

Sets the kind of event this is.

Parameters:
  `kind` - the kind to set; either `ADDED` or `REMOVED`

#### setMatch

    protected void setMatch​(Match match)

Sets the match for the change this event reports.

Parameters:
  `match` - the match to set

#### setMatches

    protected void setMatches​(Match[] matches)

Sets the matches for the change this event reports.

Parameters:
  `matches` - the matches to set